export declare abstract class Attributes<T> {
    protected properties: Map<string, T>;
    setAttribute(key: string, value: T): void;
    getAttribute(key: string): T;
    getProperties(): Map<string, T>;
    setProperties(properties: Map<string, T>): void;
}
